Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class GenericComment

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractChildNode
              org.apache.batik.dom.AbstractCharacterData
                  org.apache.batik.dom.AbstractComment
                      org.apache.batik.dom.GenericComment

All Implemented Interfaces:
  org.w3c.dom.CharacterData, org.w3c.dom.Comment, org.w3c.dom.events.EventTarget, ExtendedNode, org.w3c.dom.Node, NodeEventTarget, java.io.Serializable

public class GenericComment
extends AbstractComment

This class implements the `Comment` interface.

See Also:
  Serialized Form

Field Summary
`protected boolean` | `readonly` Is this element immutable?

Fields inherited from class org.apache.batik.dom.AbstractCharacterData
`nodeValue`

Fields inherited from class org.apache.batik.dom.AbstractChildNode
`nextSibling, parentNode, previousSibling`

Fields inherited from class org.apache.batik.dom.AbstractNode
`EMPTY_NODE_LIST, eventSupport, ownerDocument`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`GenericComment()` Creates a new Comment object.
`GenericComment(java.lang.String value, AbstractDocument owner)` Creates a new Comment object.

Method Summary
`boolean` | `isReadonly()` Tests whether this node is readonly.
`protected org.w3c.dom.Node` | `newNode()` Returns a new uninitialized instance of this object's class.
`void` | `setReadonly(boolean v)` Sets this node readonly attribute.

Methods inherited from class org.apache.batik.dom.AbstractComment
`getNodeName, getNodeType`

Methods inherited from class org.apache.batik.dom.AbstractCharacterData
`appendData, checkOffsetCount, copyInto, deepCopyInto, deepExport, deleteData, export, getData, getLength, getNodeValue, insertData, replaceData, setData, setNodeValue, substringData`

Methods inherited from class org.apache.batik.dom.AbstractChildNode
`getNextSibling, getParentNode, getPreviousSibling, setNextSibling, setParentNode, setPreviousSibling`

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, appendChild, checkChildType, cloneNode, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedFromDocumentEvent, getAttributes, getChildNodes, getCurrentDocument, getEventSupport, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getOwnerDocument, getParentNodeEventTarget, getPrefix, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, removeEventListener, replaceChild, setNodeName, setOwnerDocument, setPrefix, setSpecified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Field Detail

### readonly

    protected boolean readonly

  Is this element immutable?

Constructor Detail

### GenericComment

    public GenericComment()

  Creates a new Comment object.

### GenericComment

    public GenericComment(java.lang.String value,
                          AbstractDocument owner)

  Creates a new Comment object.

Method Detail

### isReadonly

    public boolean isReadonly()

  Tests whether this node is readonly.

### setReadonly

    public void setReadonly(boolean v)

  Sets this node readonly attribute.

### newNode

    protected org.w3c.dom.Node newNode()

  Returns a new uninitialized instance of this object's class.

  Specified by:
    `newNode` in class `AbstractNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.